### Virtual Method

# Gio TlsDatabase lookup_certificate_for_handle_async

since: 2.30

#### Declaration

    void
    lookup_certificate_for_handle_async (
      GTlsDatabase* self,
      const gchar* handle,
      GTlsInteraction* interaction,
      GTlsDatabaseLookupFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously look up a certificate by its handle in the database. See `g_tls_database_lookup_certificate_for_handle()` for more information.

Available since: 2.30

#### Parameters

`handle`

  Type: `const gchar*`

  A certificate handle.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`interaction`

  Type: `GTlsInteraction`

  Used to interact with the user if necessary.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`flags`

  Type: `GTlsDatabaseLookupFlags`

  Flags which affect the lookup.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the operation completes.

`user_data`

  Type: `gpointer`

  The data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.